/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: 7_0_1
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object InputChipTokens {
    val ContainerElevation = ElevationTokens.Level0
    val ContainerHeight = 32.0.dp
    val ContainerShape = ShapeKeyTokens.CornerSmall
    val DisabledLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val DisabledLabelTextOpacity = 0.38f
    val DisabledSelectedContainerColor = ColorSchemeKeyTokens.OnSurface
    val DisabledSelectedContainerOpacity = 0.12f
    val DisabledUnselectedOutlineColor = ColorSchemeKeyTokens.OnSurface
    val DisabledUnselectedOutlineOpacity = 0.12f
    val DraggedContainerElevation = ElevationTokens.Level4
    val FocusIndicatorColor = ColorSchemeKeyTokens.Secondary
    val LabelTextFont = TypographyKeyTokens.LabelLarge
    val SelectedContainerColor = ColorSchemeKeyTokens.SecondaryContainer
    val SelectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedOutlineWidth = 0.0.dp
    val SelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val UnselectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusOutlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedOutlineColor = ColorSchemeKeyTokens.OutlineVariant
    val UnselectedOutlineWidth = 1.0.dp
    val UnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val AvatarShape = ShapeKeyTokens.CornerFull
    val AvatarSize = 24.0.dp
    val DisabledAvatarOpacity = 0.38f
    val DisabledLeadingIconColor = ColorSchemeKeyTokens.OnSurface
    val DisabledLeadingIconOpacity = 0.38f
    val LeadingIconSize = 18.0.dp
    val SelectedDraggedLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusLeadingIconColor = ColorSchemeKeyTokens.Primary
    val SelectedHoverLeadingIconColor = ColorSchemeKeyTokens.Primary
    val SelectedLeadingIconColor = ColorSchemeKeyTokens.Primary
    val SelectedPressedLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedDraggedLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedHoverLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedLeadingIconColor = ColorSchemeKeyTokens.Primary
    val DisabledTrailingIconColor = ColorSchemeKeyTokens.OnSurface
    val DisabledTrailingIconOpacity = 0.38f
    val SelectedDraggedTrailingIconColor = ColorSchemeKeyTokens.Primary
    val SelectedFocusTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val TrailingIconSize = 18.0.dp
    val UnselectedDraggedTrailingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedFocusTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
}
